ad_page_contract {

	@author Fabrizio Sotgiu <fabrizio@esode.it>
	@creation date January 16, 2006
	@version 0.1d

} {
	karted:multiple,notnull	
}

package require http

set user_id [ ad_verify_and_get_user_id ]
set amount 0

db_1row configuration "select * from payment_config"


foreach karted_item $karted {

	db_1row select_course "select class_key,pretty_name,price from payment_course_prices_full where class_key = :karted_item"
	set amount [format "%.2f" [expr $amount + $price]]
	lappend course_list [ list $class_key $pretty_name $price ]
}

set len 10
set chars "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ"
set clen [string length $chars]
set result ""
for {set i 0} {$i < $len} {incr i} {
	append result [string index $chars [expr int(rand() * $clen)]]
}

db_transaction {

	db_dml add_pending_payment { insert into payment_pending_orders (amount,password) values (:amount,:result) }
	db_1row get_id "select last_value from payment_pending_orders_transaction_id_seq"

}

set fingerprint ${last_value}:${result}

foreach karted_item $karted {

	db_dml add_pending_memberships { insert into payment_pending_memberships (transaction_id,class_key,user_id) values (:last_value,:karted_item,:user_id)  }

}






