ad_page_contract {

	@author Fabrizio Sotgiu <fabrizio@esode.it>
	@creation date January 16, 2006
	@version 0.1d

} 

set post_data [ ns_conn form ] 

set fingerprint [ ns_set get $post_data custom ]
set id_pass [split $fingerprint :]
set transaction_id [lindex $id_pass 0]

db_multirow transaction_summary transaction_summary_select {

	select pretty_name,price from dotlrn_community_types dct,payment_pending_orders ppo,payment_pending_memberships ppm,payment_course_prices pcp
	where dct.community_type = ppm.class_key and pcp.class_key = ppm.class_key and ppm.transaction_id = :transaction_id
	group by pretty_name,price

} 

set amount [ db_string get_amount "select amount from payment_pending_orders where transaction_id = :transaction_id" ]